version: "3"

volumes:
  mongo_data: {}

services:
  mongodb:
    container_name: mongodb
    image: registry.gitlab.com/absadevelopers/thermalcamera/thermalcamera_mongodb
    privileged: true
    network_mode: host
    restart: always
    expose:
      - 27017
    environment:
      MONGO_INITDB_ROOT_USERNAME: knesys
      MONGO_INITDB_ROOT_PASSWORD: knesysiot123
    volumes:
      - mongo_data:/data/db
      - ../.env:/app/.env:ro
      - /etc/resolv.conf:/etc/resolv.conf:ro
      - /etc/localtime:/etc/localtime

  security:
    container_name: security
    image: registry.gitlab.com/absadevelopers/thermalcamera/thermalcamera_security
    restart: unless-stopped
    network_mode: host
    expose:
      - 3212
    volumes:
      - ../.env:/app/.env:ro
      - /etc/resolv.conf:/etc/resolv.conf:ro
      - /etc/localtime:/etc/localtime
    depends_on:
      - mongodb
      - mongoctl

  frontconfig:
    container_name: frontconfig
    image: registry.gitlab.com/absadevelopers/thermalcamera/thermalcamera_frontconfig
    network_mode: host
    restart: unless-stopped
    volumes:
      - ../.env:/app/.env:ro
      - /etc/resolv.conf:/etc/resolv.conf:ro
      - /etc/localtime:/etc/localtime
    expose:
      - 80
    stdin_open: true
    depends_on:
      - security
      - mainconfig
  aforo:
    container_name: aforo
    image: registry.gitlab.com/absadevelopers/thermalcamera/thermalcamera_aforo
    network_mode: host
    restart: unless-stopped
    volumes:
      - ../.env:/app/.env:ro
      - /etc/resolv.conf:/etc/resolv.conf
      - /etc/localtime:/etc/localtime
    expose:
      - 4000
    stdin_open: true
    depends_on:
      - security
      - mainconfig
  sync:
    container_name: sync
    image: registry.gitlab.com/absadevelopers/thermalcamera/thermalcamera_sync
    network_mode: host
    expose:
      - 3040
    volumes:
      - /etc/resolv.conf:/etc/resolv.conf:ro
      - ../.env:/app/.env:ro
      - /etc/localtime:/etc/localtime
    restart: unless-stopped
    depends_on:
      - nodesetup

  bleno:
    container_name: bleno
    image: registry.gitlab.com/absadevelopers/thermalcamera/thermalcamera_bleno
    privileged: true
    network_mode: host
    volumes:
      - ../service/dockercontroller/activeBle.txt:/app/activeBle.txt
      - /etc/resolv.conf:/etc/resolv.conf:ro
      - ../.env:/app/.env:ro
      - /etc/localtime:/etc/localtime
    restart: unless-stopped
    depends_on:
      - nodesetup
      - rgbcontrol

  rgbcontrol:
    container_name: rgbcontrol
    image: registry.gitlab.com/absadevelopers/thermalcamera/thermalcamera_rgbcontrol
    privileged: true
    network_mode: host
    expose:
      - 8040
    volumes:
      - ../service/dockercontroller/activeBle.txt:/app/src/app/activeBle.txt:ro
      - ../host/factoryreset/status:/app/src/app/status:ro
      - ../.env:/app/.env:ro
      - /etc/resolv.conf:/etc/resolv.conf:ro
      - /etc/localtime:/etc/localtime
    restart: unless-stopped

  nodesetup:
    container_name: nodesetup
    image: registry.gitlab.com/absadevelopers/thermalcamera/thermalcamera_nodesetup
    privileged: true
    network_mode: host
    expose:
      - 8030
    volumes:
      - /var/run/dbus:/var/run/dbus
      - /etc/wpa_supplicant:/etc/wpa_supplicant
      - /etc/dhcpcd.conf:/etc/dhcpcd.conf
      - /etc/resolv.conf:/etc/resolv.conf:ro
      - /usr/lib/systemd/system:/usr/lib/systemd/system
      - /etc/systemd:/etc/systemd
      - ../.env:/app/.env:ro
      - /etc/localtime:/etc/localtime
    restart: unless-stopped

  mongoctl:
    container_name: mongoctl
    image: registry.gitlab.com/absadevelopers/thermalcamera/thermalcamera_mongoctl
    network_mode: host
    volumes:
      - ../.env:/app/.env:ro
      - /etc/resolv.conf:/etc/resolv.conf:ro
      - /etc/localtime:/etc/localtime
    restart: unless-stopped
    depends_on:
      - mongodb

  sshtunnel:
    container_name: sshtunnel
    image: registry.gitlab.com/absadevelopers/thermalcamera/thermalcamera_sshtunnel
    network_mode: host
    expose:
      - 2222
    volumes:
      - /home/knesys/.ssh/id_rsa:/root/.ssh/id_rsa:ro
      - /home/knesys/.ssh/id_rsa.pub:/root/.ssh/id_rsa.pub:ro
      - /etc/resolv.conf:/etc/resolv.conf:ro
      - /etc/localtime:/etc/localtime
    restart: unless-stopped
    depends_on:
      - nodesetup

  gpioctl:
    container_name: gpioctl
    image: registry.gitlab.com/absadevelopers/thermalcamera/thermalcamera_gpioctl
    privileged: true
    network_mode: host
    volumes:
      - /var/log/knesys:/var/log/knesys
      - ../.env:/app/.env:ro
      - /etc/resolv.conf:/etc/resolv.conf:ro
      - /etc/localtime:/etc/localtime
    restart: unless-stopped
    depends_on:
      - nodesetup
